## PhoshEndSessionDialog

PhoshEndSessionDialog — A system modal prompt to authorize applications

## Functions

GtkWidget * | phosh_end_session_dialog_new ()
gboolean | phosh_end_session_dialog_get_action_confirmed ()
gint | phosh_end_session_dialog_get_action ()

## Properties

int | action | Read / Write
GStrv | inhibitor-paths | Read / Write
int | timeout | Read / Write

## Signals

void | closed | Run Last

## Types and Values

#define | PHOSH_TYPE_END_SESSION_DIALOG
enum | PhoshLogoutAction
| PhoshEndSessionDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshSystemModal
                                    ╰── PhoshSystemModalDialog
                                        ╰── PhoshEndSessionDialog

## Implemented Interfaces

PhoshEndSessionDialog implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshEndSessionDialog is used to confirm/decline the end of the session and is spawned by the PhoshSessionManager.

## Functions

### phosh_end_session_dialog_new ()

    GtkWidget *
    phosh_end_session_dialog_new (gint action,
                                  gint seconds,
                                  const char *const *paths);

### phosh_end_session_dialog_get_action_confirmed ()

    gboolean
    phosh_end_session_dialog_get_action_confirmed
                                   (PhoshEndSessionDialog *self);

### phosh_end_session_dialog_get_action ()

    gint
    phosh_end_session_dialog_get_action (PhoshEndSessionDialog *self);

## Types and Values

### PHOSH_TYPE_END_SESSION_DIALOG

    #define PHOSH_TYPE_END_SESSION_DIALOG (phosh_end_session_dialog_get_type ())

### enum PhoshLogoutAction

The requested action the PhoshEndSessionDialog should display. This matches the values of the DBus protocols 'open' request..

#### Members

PHOSH_END_SESSION_ACTION_LOGOUT | Loguout |
PHOSH_END_SESSION_ACTION_SHUTDOWN | Shutdown |
PHOSH_END_SESSION_ACTION_REBOOT | Reboot |

### PhoshEndSessionDialog

    typedef struct _PhoshEndSessionDialog PhoshEndSessionDialog;

## Property Details

### The `“action”` property

      “action”                   int

The requested action.

Owner: PhoshEndSessionDialog

Flags: Read / Write

Allowed values: >= -1

Default value: -1

### The `“inhibitor-paths”` property

      “inhibitor-paths”          GStrv

Paths to inhibitors that prevent atction.

Owner: PhoshEndSessionDialog

Flags: Read / Write

### The `“timeout”` property

      “timeout”                  int

Timeout in seconds after which the action is performed.

Owner: PhoshEndSessionDialog

Flags: Read / Write

Allowed values: >= -1

Default value: -1

## Signal Details

### The `“closed”` signal

    void
    user_function (PhoshEndSessionDialog *phoshendsessiondialog,
                   gpointer               user_data)

Flags: Run Last